{
  "Serilog": {
    "Using": [
      "Serilog.Enrichers.Span",
      "Serilog.Sinks.Console",
      "Serilog.Sinks.Grafana.Loki"
    ],
    "MinimumLevel": {
      "Default": "Information",
      "Override": {
        "Microsoft": "Warning",
        "Microsoft.Hosting.Lifetime": "Information",
        "Microsoft.AspNetCore.Authentication": "Debug",
        "Microsoft.AspNetCore": "Warning",
        "Microsoft.AspNetCore.SignalR": "Debug",
        "Microsoft.AspNetCore.Http.Connections": "Debug",
        "System": "Warning"
      }
    },
    "WriteTo": [
      {
        "Name": "Console",
        "Args": {
          //"outputTemplate": "time=\"{Timestamp:yyyy-MM-dd HH:mm:ss}\" level={Level:w3} category={SourceContext} trace={TraceId}{NewLine}msg=\"{Message:lj}\"{NewLine}error=\"{Exception}\"{NewLine}",
          "outputTemplate": "[{Timestamp:HH:mm:ss} {Level}] {SourceContext} [{TraceId}]{NewLine}{Message:lj}{NewLine}{Exception}{NewLine}",
          "theme": "Serilog.Sinks.SystemConsole.Themes.ConsoleTheme::None, Serilog.Sinks.Console"
        }
      },
      //{
      //  "Name": "GrafanaLoki",
      //  "Args": {
      //    "outputTemplate": "[{Timestamp:HH:mm:ss} {Level}] {SourceContext} [{TraceId}]{NewLine}{Message:lj}{NewLine}{Exception}{NewLine}",
      //    "uri": "http://192.168.100.217:3100",
      //    "labels": [
      //      {
      //        "key": "app",
      //        "value": "hotline"
      //      }
      //    ],
      //    "propertiesAsLabels": [
      //      "fwhl"
      //    ]
      //  }
      //}
      //{
      //  "Name": "Exeptionless",
      //  "Args": {
      //    //"outputTemplate": "time=\"{Timestamp:yyyy-MM-dd HH:mm:ss}\" level={Level:w3} category={SourceContext} trace={TraceId}{NewLine}msg=\"{Message:lj}\"{NewLine}error=\"{Exception}\"{NewLine}",
      //    "outputTemplate": "[{Timestamp:HH:mm:ss} {Level}] {SourceContext} [{TraceId}]{NewLine}{Message:lj}{NewLine}{Exception}{NewLine}",
      //    "theme": "Serilog.Sinks.SystemConsole.Themes.ConsoleTheme::None, Serilog.Sinks.Console"
      //  }
      //}
      //{
      //  "Name": "File",
      //  "Args": {
      //    "path": "logs/log-.txt",
      //    "rollingInterval": "Day",
      //    "outputTemplate": "[{Timestamp:HH:mm:ss} {Level}] {SourceContext} [{TraceId}]{NewLine}{Message:lj}{NewLine}{Exception}{NewLine}",
      //  }
      //},
      //{
      //  "Name": "MongoDBBson",
      //  "Args": {
      //    "databaseUrl": "mongodb://192.168.100.121:27017/hotline_logs",
      //    "collectionName": "logs",
      //    "cappedMaxSizeMb": "1024",
      //    "cappedMaxDocuments": "50000",
      //    "rollingInterval": "Day",
      //    "outputTemplate": "[{Timestamp:HH:mm:ss} {Level}] {SourceContext} [{TraceId}]{NewLine}{Message:lj}{NewLine}{Exception}{NewLine}"
      //  }
      //}
    ],
    "Enrich": [ "FromLogContext", "WithSpan" ]
  }
}